## Get invoice history `client.AIGateway.Billing.InvoiceHistory(ctx, params) (*BillingInvoiceHistoryResponse, error)` **get** `/accounts/{account_id}/ai-gateway/billing/invoice-history` Retrieve a list of past invoices with pagination, optionally filtered by type. ### Parameters - `params BillingInvoiceHistoryParams` - `AccountID param.Field[string]` Path param: Cloudflare account ID. - `Type param.Field[BillingInvoiceHistoryParamsType]` Query param: Filter invoice type: auto, manual, or all. - `const BillingInvoiceHistoryParamsTypeAuto BillingInvoiceHistoryParamsType = "auto"` - `const BillingInvoiceHistoryParamsTypeAll BillingInvoiceHistoryParamsType = "all"` - `const BillingInvoiceHistoryParamsTypeManual BillingInvoiceHistoryParamsType = "manual"` ### Returns - `type BillingInvoiceHistoryResponse struct{…}` - `Invoices []BillingInvoiceHistoryResponseInvoice` - `AmountDue float64` - `AmountPaid float64` - `AmountRemaining float64` - `Currency string` - `ID string` - `AttemptCount float64` - `Attempted bool` - `AutoAdvance bool` - `Created float64` - `CreatedBy string` - `Description string` - `InvoiceOrigin string` - `InvoicePDF string` - `Status string` - `Pagination BillingInvoiceHistoryResponsePagination` - `HasMore bool` - `Page float64` - `PerPage float64` - `TotalCount float64` ### Example ```go package main import ( "context" "fmt" "github.com/cloudflare/cloudflare-go" "github.com/cloudflare/cloudflare-go/ai_gateway" "github.com/cloudflare/cloudflare-go/option" ) func main() { client := cloudflare.NewClient( option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"), ) response, err := client.AIGateway.Billing.InvoiceHistory(context.TODO(), ai_gateway.BillingInvoiceHistoryParams{ AccountID: cloudflare.F("account_id"), }) if err != nil { panic(err.Error()) } fmt.Printf("%+v\n", response.Invoices) } ``` #### Response ```json { "errors": [ { "code": 0, "message": "message" } ], "messages": [ { "code": 0, "message": "message" } ], "result": { "invoices": [ { "amount_due": 0, "amount_paid": 0, "amount_remaining": 0, "currency": "currency", "id": "id", "attempt_count": 0, "attempted": true, "auto_advance": true, "created": 0, "created_by": "created_by", "description": "description", "invoice_origin": "invoice_origin", "invoice_pdf": "invoice_pdf", "status": "status" } ], "pagination": { "has_more": true, "page": 0, "per_page": 0, "total_count": 0 } }, "success": true, "result_info": { "has_more": true, "page": 0, "per_page": 0, "total_count": 0 } } ```